package com.muyu.rule.test;

import com.aliyun.oss.OSSClient;
import com.aliyun.oss.model.GetObjectRequest;
import com.aliyun.oss.model.ObjectMetadata;
import com.muyu.common.core.domain.Result;

import java.io.File;

public class OSSFileDownload {

    // 阿里云 endpoint
    private static final String endpoint = "oss-cn-shanghai.aliyuncs.com";
    // 阿里云 accessKeyId
    private static final String accessKeyId = "LTAI5t6ytyyHWWB693bMEo53";
    // 阿里云 accessKeySecret　　
    private static final String accessKeySecret = "CSubcq72LLVttBlo2XO1JEMEmw894z";
    // bucket
    private static final String bucketName = "oss-tai";
    // OSS文件路径
    private static final String filePath = "oss/";


    public static Result<Object> streamingDownload(String fileName) {

        String source = null;
        // 创建 OSSClient 实例
        OSSClient ossClient = new OSSClient(endpoint, accessKeyId, accessKeySecret);
        // 判断 bucket 是否存在
        Boolean flag_bucket = ossClient.doesBucketExist(bucketName);
        if (!flag_bucket) {
            System.out.println("bucket不存在");
            return Result.error("bucket不存在");
        }
        String objectName = fileName + ".java";
        Boolean flag_file = ossClient.doesObjectExist(bucketName, filePath + objectName);
        if (!flag_file) {
            System.out.println("预下载文件不存在");
            return Result.error("预下载文件不存在");
        }
        // 本地文件下载路径
        String localPath = "home/" + objectName;
        ObjectMetadata object = ossClient.getObject(new GetObjectRequest(bucketName, filePath + objectName), new File(localPath));
        System.out.println(object);
        ossClient.shutdown();
        return Result.success(source);
    }
}
